package com.simuwang.base.common.enums;

/**
 * @author mozuwen
 * @date 2024/05/21
 * @describe 交易场所
 */
public enum MarketTradIngCodeEnum {
    OTC(0, "场外"),
    SHFE(10, "上海期货交易所"),
    INE(11, "上海国际能源交易中心"),
    DCE(13, "大连商品交易所"),
    CZC(15, "郑州商品交易所"),
    GZFE(17, "广州期货交易所"),
    NEEQ(18, "北京证券交易所"),
    CFFEX_FUTURE(20, "中国金融期货交易所"),
    CFFEX_OPTION(51, "中国金融期货交易所"),
    HKEX(72, "香港证券交易所"),
    NTBC(81, "新三板"),
    SSE(83, "上海证券交易所"),
    IBM(89, "银行间债券市场"),
    SZSE(90, "深圳证券交易所");

    private final int marketId;
    private final String name;

    MarketTradIngCodeEnum(int marketId, String name) {
        this.marketId = marketId;
        this.name = name;
    }

    public int getMarketId() {
        return marketId;
    }

    public String getName() {
        return name;
    }
}
